commit:     ee015d9fe217e801234e9570284579ec368c212e
Author:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
AuthorDate: Mon Apr 12 21:07:58 2021 +0000
Commit:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
CommitDate: Mon Apr 12 21:09:42 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ee015d9f

media-libs/libaom: bump to v3.0.0

Package-Manager: Portage-3.0.18, Repoman-3.0.3
Signed-off-by: Thomas Deutschmann <whissi <AT> gentoo.org>

 media-libs/libaom/Manifest                         |  1 +
 .../{libaom-9999.ebuild => libaom-3.0.0.ebuild}    | 27 +++++++++++++---------
 media-libs/libaom/libaom-9999.ebuild               | 27 +++++++++++++---------
 3 files changed, 33 insertions(+), 22 deletions(-)

diff --git a/media-libs/libaom/Manifest b/media-libs/libaom/Manifest
index 74f6a2a6858..a117fd4bdfa 100644
--- a/media-libs/libaom/Manifest
+++ b/media-libs/libaom/Manifest
@@ -1,3 +1,4 @@
 DIST libaom-1.0.0.tar.gz 2775454 BLAKE2B 
09b891d365804f0c086785a00760af3191b40fc66fc752294e915b54454171fb47d3d1b037fb6d276727772ceec3177d78c14f90a2b01e28250d2de735bf02ec
 SHA512 
131512ef286cb138047bb56dea54196f9a8d2b0d9f3d7689299f185338e5c03ee658b0cfe017a099f1a6be351a3a7157204dea70d2645a1d0a9249fd582c3fa4
 DIST libaom-2.0.0.tar.gz 3497458 BLAKE2B 
ce3cfcf84e2471152998b8690ed5d85ffdf41e729fb86380f2849b9bc80deee0251bf0a1149b548ebcb6642fa6edac13658f3e9c55d5f50c905fb733f8312431
 SHA512 
8e72e6d1c2fbae7fd8afaea6e7d086f2b533006934ffa8e126d4e769d3fc1aa92703ce7cae4c6dfa5dd8050b2afdbe2eba54fbf4f49c1d11ae41cc9913379607
 DIST libaom-2.0.1.tar.xz 2391756 BLAKE2B 
46d5938c49e720ec773d55e461f38d86a4307358fe8d3d9cc0e16e63dd52e54d41163bd14a583c059c9881a6980b1a8c54323b499dbef8301e9fa90094cd0e02
 SHA512 
2e7e2a9f456d51641ded44cb3ff639982e996276157d34e6a38895a68b7a8f36e209bcbad3dea7a04bd5b45b8cfe8a3bf202ab630f93388ea6dfb516f13ed82f
+DIST libaom-3.0.0.tar.gz 4577387 BLAKE2B 
a9a7b5f4d2977baa8834f0959bc82aae25d39e2c94d04b90649135a5101826e72f1ea5dbec18310c91d62209efef991e767fc23edf4d1b8f09445040a6c55378
 SHA512 
83febdf9c20e7b7fe436554d44de213ab3ed0682b0fc0ec496291097f81acc6a77455d6c403f35b028d2a39030b5b9641bd52643ae269202fe3d9fae7e21de72

diff --git a/media-libs/libaom/libaom-9999.ebuild 
b/media-libs/libaom/libaom-3.0.0.ebuild
similarity index 83%
copy from media-libs/libaom/libaom-9999.ebuild
copy to media-libs/libaom/libaom-3.0.0.ebuild
index a437118de10..227f4106f26 100644
--- a/media-libs/libaom/libaom-9999.ebuild
+++ b/media-libs/libaom/libaom-3.0.0.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=7
@@ -10,14 +10,7 @@ if [[ ${PV} == *9999* ]]; then
        inherit git-r3
        EGIT_REPO_URI="https://aomedia.googlesource.com/aom";
 else
-       if [[ ${PV} == *pre* ]]; then
-               SRC_URI="mirror://gentoo/${P}.tar.xz"
-               S="${WORKDIR}/${PN}"
-       else
-               # 
SRC_URI="https://aomedia.googlesource.com/aom/+archive/v${PV}.tar.gz -> 
${P}.tar.gz"
-               SRC_URI="mirror://gentoo/${P}.tar.gz"
-               S="${WORKDIR}"
-       fi
+       SRC_URI="https://aomedia.googlesource.com/aom/+archive/v${PV}.tar.gz -> 
${P}.tar.gz"
        KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
 fi
 
@@ -25,7 +18,7 @@ DESCRIPTION="Alliance for Open Media AV1 Codec SDK"
 HOMEPAGE="https://aomedia.org";
 
 LICENSE="BSD-2"
-SLOT="0/2"
+SLOT="0/3"
 IUSE="doc examples"
 IUSE="${IUSE} cpu_flags_x86_mmx cpu_flags_x86_sse cpu_flags_x86_sse2 
cpu_flags_x86_sse3 cpu_flags_x86_ssse3"
 IUSE="${IUSE} cpu_flags_x86_sse4_1 cpu_flags_x86_sse4_2 cpu_flags_x86_avx 
cpu_flags_x86_avx2"
@@ -47,6 +40,17 @@ BDEPEND="abi_x86_32? ( dev-lang/yasm )
 # the PATENTS file is required to be distributed with this package bug #682214
 DOCS=( PATENTS )
 
+src_unpack() {
+       if [[ ${PV} == *9999* ]]; then
+               default
+       else
+               mkdir "${S}" || die
+               pushd "${S}" &>/dev/null || die
+               unpack ${P}.tar.gz
+               popd &>/dev/null || die
+       fi
+}
+
 multilib_src_configure() {
        local mycmakeargs=(
                -DENABLE_DOCS=$(multilib_native_usex doc ON OFF)
@@ -56,7 +60,8 @@ multilib_src_configure() {
                -DENABLE_TOOLS=ON
                -DENABLE_WERROR=OFF
 
-               -DENABLE_NEON=$(usex cpu_flags_arm_neon ON OFF)
+               # neon support is assumed to be always enabled on arm64
+               -DENABLE_NEON=$(usex cpu_flags_arm_neon ON $(usex arm64 ON OFF))
                # ENABLE_DSPR2 / ENABLE_MSA for mips
                -DENABLE_MMX=$(usex cpu_flags_x86_mmx ON OFF)
                -DENABLE_SSE=$(usex cpu_flags_x86_sse ON OFF)

diff --git a/media-libs/libaom/libaom-9999.ebuild 
b/media-libs/libaom/libaom-9999.ebuild
index a437118de10..227f4106f26 100644
--- a/media-libs/libaom/libaom-9999.ebuild
+++ b/media-libs/libaom/libaom-9999.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=7
@@ -10,14 +10,7 @@ if [[ ${PV} == *9999* ]]; then
        inherit git-r3
        EGIT_REPO_URI="https://aomedia.googlesource.com/aom";
 else
-       if [[ ${PV} == *pre* ]]; then
-               SRC_URI="mirror://gentoo/${P}.tar.xz"
-               S="${WORKDIR}/${PN}"
-       else
-               # 
SRC_URI="https://aomedia.googlesource.com/aom/+archive/v${PV}.tar.gz -> 
${P}.tar.gz"
-               SRC_URI="mirror://gentoo/${P}.tar.gz"
-               S="${WORKDIR}"
-       fi
+       SRC_URI="https://aomedia.googlesource.com/aom/+archive/v${PV}.tar.gz -> 
${P}.tar.gz"
        KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
 fi
 
@@ -25,7 +18,7 @@ DESCRIPTION="Alliance for Open Media AV1 Codec SDK"
 HOMEPAGE="https://aomedia.org";
 
 LICENSE="BSD-2"
-SLOT="0/2"
+SLOT="0/3"
 IUSE="doc examples"
 IUSE="${IUSE} cpu_flags_x86_mmx cpu_flags_x86_sse cpu_flags_x86_sse2 
cpu_flags_x86_sse3 cpu_flags_x86_ssse3"
 IUSE="${IUSE} cpu_flags_x86_sse4_1 cpu_flags_x86_sse4_2 cpu_flags_x86_avx 
cpu_flags_x86_avx2"
@@ -47,6 +40,17 @@ BDEPEND="abi_x86_32? ( dev-lang/yasm )
 # the PATENTS file is required to be distributed with this package bug #682214
 DOCS=( PATENTS )
 
+src_unpack() {
+       if [[ ${PV} == *9999* ]]; then
+               default
+       else
+               mkdir "${S}" || die
+               pushd "${S}" &>/dev/null || die
+               unpack ${P}.tar.gz
+               popd &>/dev/null || die
+       fi
+}
+
 multilib_src_configure() {
        local mycmakeargs=(
                -DENABLE_DOCS=$(multilib_native_usex doc ON OFF)
@@ -56,7 +60,8 @@ multilib_src_configure() {
                -DENABLE_TOOLS=ON
                -DENABLE_WERROR=OFF
 
-               -DENABLE_NEON=$(usex cpu_flags_arm_neon ON OFF)
+               # neon support is assumed to be always enabled on arm64
+               -DENABLE_NEON=$(usex cpu_flags_arm_neon ON $(usex arm64 ON OFF))
                # ENABLE_DSPR2 / ENABLE_MSA for mips
                -DENABLE_MMX=$(usex cpu_flags_x86_mmx ON OFF)
                -DENABLE_SSE=$(usex cpu_flags_x86_sse ON OFF)

Reply via email to